using System.Web.Mvc;
using System.Web.Routing;

namespace WebUiDriver.App_Start
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                name: "Default", // Route name
                url: "{controller}/{action}/{id}", // URL with parameters
                defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );

            // Register routes from other functional areas (i.e. the aspect projects).
            AreaRegistration.RegisterAllAreas();
        }
    }
}